Bug 829099 - [abrt] evolution-3.4.1-2.fc17: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.1-2.fc17: Process /usr/bin/evolution was killed by signa...
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: evolution-ews (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:7f60e910d03dda34344c3b0e34e...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 20:02 EDT by Matthew Saltzman
Modified: 2012-06-11 04:40 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 04:40:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (54.48 KB, text/plain)
2012-06-05 20:02 EDT, Matthew Saltzman
no flags Details
File: maps (144.15 KB, text/plain)
2012-06-05 20:02 EDT, Matthew Saltzman
no flags Details
File: dso_list (30.76 KB, text/plain)
2012-06-05 20:03 EDT, Matthew Saltzman
no flags Details
File: build_ids (12.17 KB, text/plain)
2012-06-05 20:03 EDT, Matthew Saltzman
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 677839 None None None 2012-06-11 04:40:21 EDT

  None (edit)
Description Matthew Saltzman 2012-06-05 20:02:49 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        evolution
comment:        Crashed during Send/Receive. While the sync was active, I switched to an RSS feed using evolution-rss.  I don't know how reproducible it is.  I suspect next time I try, it will work fine.
crash_function: camel_folder_summary_content_info_new
executable:     /usr/bin/evolution
kernel:         3.3.7-1.fc17.x86_64
pid:            10433
pwd:            /home/mjs
time:           Tue 05 Jun 2012 07:40:28 PM EDT
uid:            1000
username:       mjs

backtrace:      Text file, 55785 bytes
build_ids:      Text file, 12464 bytes
dso_list:       Text file, 31503 bytes
maps:           Text file, 147613 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/mjs/2

core_backtrace:
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572 0x537de camel_folder_summary_content_info_new libcamel-1.2.so.33 -
:8498add002a408c0acf1b6762ba7256b2c735a47 0x13b01 camel_ews_utils_sync_created_items libcamelews.so -
:8498add002a408c0acf1b6762ba7256b2c735a47 0xb2f2 - libcamelews.so -
:8aae5d2b1beaec6e62bb814ca5893d6e8ac46572 0x5ef9d camel_folder_refresh_info_sync libcamel-1.2.so.33 -
:401d218b1db0722c75d121d9abb53c6daeaf117f 0x8ae6c - libevolution-mail.so -
:cd2dd8aa4cacb841ed63a0130e1591a1d160ac78 0x9ff7 - libemail-utils.so -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6ab42 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x6a345 - libglib-2.0.so.0 -
:73777e822e00ca152ffca281ab0ace0cb498ec48 0x7d14 start_thread libpthread.so.0 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0xf199d clone libc.so.6 -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=serenity.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:LATEX_MK_DIR=/usr/share/latex-mk
:HISTSIZE=1000
:CLPRLIB=/usr/local/clpr/lib
:GNOME_KEYRING_CONTROL=/run/user/mjs/keyring-wtvpdb
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=mjs
:LD_LIBRARY_PATH=/opt/lindoapi/bin/linux64:/usr/local/mosek/3/tools/platform/linux32x86/bin::/usr/local/xpress2004/lib
:XPRESS=/usr/local/xpress2004/bin
:USERNAME=mjs
:XPRESSDIR=/usr/local/xpress2004
:ILOG_LICENSE_FILE=/usr/local/ilog/ilm/access.ilm
:MAIL=/var/spool/mail/mjs
:PATH=/usr/local/xpress2004/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/opt/bin:/opt/sourcenav/bin:/opt/insight/bin:/usr/sbin:/sbin:/home/mjs/bin
:DESKTOP_SESSION=gnome
:MOSEKLM_LICENSE_FILE=/usr/local/mosek/3/licenses
:QT_IM_MODULE=xim
:CONDOR_CONFIG=/opt/condor-6.8.5/etc/condor_config
:PWD=/home/mjs
:XMODIFIERS=@im=none
:EDITOR=emacs
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1115
:LANG=en_US.UTF-8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:TEXINPUTS=/home/mjs/latex:
:XDG_SEAT=seat0
:HOME=/home/mjs
:SHLVL=1
:'TEXEDIT=emacs +%d %s'
:LOGNAME=mjs
:CVS_RSH=ssh
:CLASSPATH=/usr/local/xpress2004/lib/xprm.jar:/usr/local/xpress2004/lib/xprb.jar:/usr/local/xpress2004/lib/xprs.jar:
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-dvp6AByvH7,guid=ef6d9cd7de39314195c8cc7900000046
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/mjs
:DISPLAY=:0
:CLPRSUFFIX=.clpr:.clp
:LINDOAPI_LICENSE_FILE=/opt/lindoapi/license/lindoapi70.lic
:CCACHE_HASHDIR=
:XAUTHORITY=/var/run/gdm/auth-for-mjs-NkUG8A/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1119,unix/unix:/tmp/.ICE-unix/1119
:GPG_AGENT_INFO=/run/user/mjs/keyring-wtvpdb/gpg:0:1
:SSH_AUTH_SOCK=/run/user/mjs/keyring-wtvpdb/ssh
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/evolution.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=10433
:DESKTOP_STARTUP_ID=gnome-shell-1345-serenity.localdomain-evolution-4_TIME20325977

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 63664                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63664                63664                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/mjs/.xsession-errors
:pos:	20472
:flags:	0102002
:2:/home/mjs/.xsession-errors
:pos:	20472
:flags:	0102002
:3:socket:[3978049]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[3978054]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[3978056]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[3976775]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:/home/mjs/.pki/nssdb/cert9.db
:pos:	40
:flags:	02100002
:12:socket:[3975654]
:pos:	0
:flags:	02004002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[3975655]
:pos:	0
:flags:	02004002
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/var/tmp/etilqs_AGvwgJ1TF7pUo1k (deleted)
:pos:	28
:flags:	02100002
:17:/var/tmp/etilqs_oQu1RDnGbFhkjTR (deleted)
:pos:	2056
:flags:	02500002
:18:/var/tmp/etilqs_OzcfGJQaUjW1yol (deleted)
:pos:	2048
:flags:	02500002
:19:/home/mjs/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:20:/var/tmp/etilqs_zm35wj6xJe4TcO0 (deleted)
:pos:	28
:flags:	02100002
:21:/var/tmp/etilqs_CwFeHrttag4ddVe (deleted)
:pos:	2056
:flags:	02500002
:22:/var/tmp/etilqs_q3riqaIJtvIv3Kd (deleted)
:pos:	2048
:flags:	02500002
:23:/etc/pki/nssdb/cert9.db
:pos:	40
:flags:	02100000
:24:/var/tmp/etilqs_bbkMim6dFveQeoP (deleted)
:pos:	28
:flags:	02100002
:25:/var/tmp/etilqs_RR2Hx4otQvBvbgF (deleted)
:pos:	2048
:flags:	02500002
:26:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:27:/var/tmp/etilqs_JKrJuRpvoV1hj28 (deleted)
:pos:	28
:flags:	02100002
:28:/var/tmp/etilqs_rmClXbVwbb7BrBi (deleted)
:pos:	2048
:flags:	02500002
:29:/home/mjs/.local/share/evolution/mail/local/folders.db
:pos:	40
:flags:	02100002
:30:/home/mjs/.local/share/evolution/mail/vfolder/folders.db
:pos:	40
:flags:	02100002
:31:/home/mjs/.local/share/evolution/mail/rss/rss-cookies.sqlite
:pos:	2048
:flags:	02100002
:32:/home/mjs/.local/share/evolution/mail/1338755999.2155.5@serenity.localdomain/folders.db
:pos:	40
:flags:	02100002
:33:/home/mjs/.cache/evolution/mail/1338823613.1752.3@serenity.localdomain/folders.db
:pos:	59681792
:flags:	02100002
:34:pipe:[3978305]
:pos:	0
:flags:	01
:35:anon_inode:inotify
:pos:	0
:flags:	02004000
:36:/home/mjs/.cache/evolution/mail/1338825034.1752.13@serenity.localdomain/folders.db
:pos:	3072
:flags:	02100002
:37:pipe:[3975748]
:pos:	0
:flags:	01
:38:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:39:socket:[4296685]
:pos:	0
:flags:	02004002
:40:socket:[3980354]
:pos:	0
:flags:	04002
:41:/dev/urandom
:pos:	0
:flags:	02100000
:42:socket:[4301721]
:pos:	0
:flags:	02004002
:43:/home/mjs/.local/share/gvfs-metadata/home (deleted)
:pos:	0
:flags:	0100000
:44:/home/mjs/.local/share/gvfs-metadata/home-e84e9907.log (deleted)
:pos:	0
:flags:	0100000
:45:socket:[3979605]
:pos:	0
:flags:	02000002

var_log_messages:
:Jun  4 16:45:53 serenity kernel: [19297.661152] evolution-addre[13501]: segfault at 0 ip 0000003739c38610 sp 00007f8c977fdad8 error 4 in libglib-2.0.so.0.3200.3[3739c00000+11d000]
:Jun  4 16:45:54 serenity abrt[13507]: Saved core dump of pid 1623 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-06-04-16:45:53-1623 (138055680 bytes)
:Jun  5 04:43:46 serenity kernel: [59528.693342] evolution-addre[14274]: segfault at 18 ip 00007f3cfd0f7f16 sp 00007f3cdbffebf0 error 4 in libeews-1.2.so.0.0.0[7f3cfd0e9000+28000]
:Jun  5 04:43:47 serenity abrt[24930]: Saved core dump of pid 14251 (/usr/libexec/evolution-addressbook-factory) to /var/spool/abrt/ccpp-2012-06-05-04:43:46-14251 (166764544 bytes)
:Jun  5 19:40:31 serenity abrt[10695]: Saved core dump of pid 10433 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-06-05-19:40:28-10433 (269221888 bytes)
Comment 1 Matthew Saltzman 2012-06-05 20:02:55 EDT
Created attachment 589676 [details]
File: backtrace
Comment 2 Matthew Saltzman 2012-06-05 20:02:58 EDT
Created attachment 589677 [details]
File: maps
Comment 3 Matthew Saltzman 2012-06-05 20:03:00 EDT
Created attachment 589678 [details]
File: dso_list
Comment 4 Matthew Saltzman 2012-06-05 20:03:02 EDT
Created attachment 589679 [details]
File: build_ids
Comment 5 Milan Crha 2012-06-11 04:40:21 EDT
Thanks for a bug report. I moved this upstream as [1]. Please see [1] for any further updates. If possible, please CC yourself there, in case upstream developers will have additional questions.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=677839

Note You need to log in before you can comment on or make changes to this bug.